[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetROP2

The current Foreground Mixing Mode in a device context.

## Declaration

Source position: winapih.inc line 141

`public function TWidgetSet.GetROP2(`
`DC: HDC`
`):Integer; virtual;`

## Arguments

`DC` |  | The device context.

## Function result

The mode, zero on failure.

## See also

TWidgetSet.SetROP2 |  | Sets the Foreground Mixing Mode in a device context.
R2_COPYPEN |  | Binary raster operation (Dst op Pen): Pen.